## AtkHypertext AtkHypertext — The ATK interface which provides standard mechanism for manipulating hyperlinks. |

## Functions

AtkHyperlink * | atk_hypertext_get_link ()
gint | atk_hypertext_get_n_links ()
gint | atk_hypertext_get_link_index ()

## Signals

void | link-selected | Run Last

## Types and Values

| AtkHypertext

## Object Hierarchy

        GInterface
        ╰── AtkHypertext

## Known Implementations

AtkHypertext is implemented by AtkNoOpObject.

## Description

An interface used for objects which implement linking between multiple resource or content locations, or multiple 'markers' within a single document. A Hypertext instance is associated with one or more Hyperlinks, which are associated with particular offsets within the Hypertext's included content. While this interface is derived from Text, there is no requirement that Hypertext instances have textual content; they may implement Image as well, and Hyperlinks need not have non-zero text offsets.

## Functions

### atk_hypertext_get_link ()

    AtkHyperlink *
    atk_hypertext_get_link (AtkHypertext *hypertext,
                            gint link_index);

Gets the link in this hypertext document at index `link_index`

#### Parameters

hypertext | an AtkHypertext |
link_index | an integer specifying the desired link |

#### Returns

the link in this hypertext document at index `link_index` .

[transfer none]

### atk_hypertext_get_n_links ()

    gint
    atk_hypertext_get_n_links (AtkHypertext *hypertext);

Gets the number of links within this hypertext document.

#### Parameters

hypertext | an AtkHypertext |

#### Returns

the number of links within this hypertext document

### atk_hypertext_get_link_index ()

    gint
    atk_hypertext_get_link_index (AtkHypertext *hypertext,
                                  gint char_index);

Gets the index into the array of hyperlinks that is associated with the character specified by `char_index` .

#### Parameters

hypertext | an AtkHypertext |
char_index | a character index |

#### Returns

an index into the array of hyperlinks in `hypertext` , or -1 if there is no hyperlink associated with this character.

## Types and Values

### AtkHypertext

    typedef struct _AtkHypertext AtkHypertext;

## Signal Details

### The `“link-selected”` signal

    void
    user_function (AtkHypertext *atkhypertext,
                   gint          arg1,
                   gpointer      user_data)

The "link-selected" signal is emitted by an AtkHyperText object when one of the hyperlinks associated with the object is selected.

#### Parameters

atkhypertext | the object which received the signal. |
arg1 | the index of the hyperlink which is selected |
user_data | user data set when the signal handler was connected. |

Flags: Run Last